package storage

import (
	"gosimplenpm/internal/serviceidos"

	"github.com/sirupsen/logrus"
)

type Storage interface {
	GetIndexJsonFromStore(packageName string, registryPath string, lg *logrus.Logger) (string, bool, error)
	GetTarFromStore(packageName string, tarFileName string, registryPath string, lg *logrus.Logger) (string, error)
	ReadIndexJson(fPath string, res *serviceidos.IndexJson, lg *logrus.Logger) error
	WriteIndexJson(fPath string, res *serviceidos.IndexJson, lg *logrus.Logger) error
	WritePackageToStore(fPath string, data string, lg *logrus.Logger) error
}
